#include "MainComponent.h"

//==============================================================================
MainComponent::MainComponent()
{
    setSize (600, 400);
}

MainComponent::~MainComponent()
{
}

//==============================================================================
void MainComponent::paint (juce::Graphics& g)
{
    // (Our component is opaque, so we must completely fill the background with a solid colour)
    g.fillAll (getLookAndFeel().findColour (juce::ResizableWindow::backgroundColourId));

    auto bounds = getLocalBounds().withHeight(30);

    g.setFont (juce::Font (16.0f));
    g.setColour (juce::Colours::white);
    g.drawText ("Regular String", bounds, juce::Justification::centred, true);
    
    juce::AttributedString attributedString { "Attributed String" };
    attributedString.setColour (juce::Colours::white);
    attributedString.setFont (juce::Font (16.0f));
    attributedString.setJustification (juce::Justification::centred);
    attributedString.setWordWrap (juce::AttributedString::WordWrap::none);
    
    bounds.translate(0,30);
    juce::TextLayout textLayout;
    textLayout.createLayout (attributedString,
                             (float) bounds.getWidth(),
                             (float) bounds.getHeight());
    textLayout.draw (g, bounds.toFloat());
    
    bounds.translate(0,30);
    g.setFont (juce::Font (16.0f).withHorizontalScale(2.0f));
    g.drawText ("Regular String with horizontal scale 2.0f", bounds, juce::Justification::centred, true);

    bounds.translate(0,30);
    attributedString.setText("Attributed String with horizontal scale 2.0f");
    attributedString.setFont (juce::Font (16.0f).withHorizontalScale(2.0f));
    textLayout.createLayout (attributedString,
                             (float) bounds.getWidth(),
                             (float) bounds.getHeight());
    textLayout.draw (g, bounds.toFloat());

}

void MainComponent::resized()
{
    // This is called when the MainComponent is resized.
    // If you add any child components, this is where you should
    // update their positions.
}
